node 0.6 issues #10

Closed
rauls opened this Issue Nov 9, 2011 · 4 comments

Projects

None yet

3 participants

@rauls
rauls commented Nov 9, 2011

Seams to not work at all.

there is no ../build/default
only ../build/Release

node.js:201
throw e; // process.nextTick error, or 'error' event on first tick
^
Error: Cannot find module '../build/default/node-expat'
at Function._resolveFilename (module.js:334:11)
at Function._load (module.js:279:25)
at Module.require (module.js:357:17)
at require (module.js:368:17)
at Object. (/FMS/node_modules/xml2json/node_modules/node-expat/lib/node-expat.js:3:13)
at Module._compile (module.js:432:26)
at Object..js (module.js:450:10)
at Module.load (module.js:351:31)
at Function._load (module.js:310:12)
at Module.require (module.js:357:17)

@c4milo
Collaborator
c4milo commented Nov 9, 2011

yeah, it is an issue with node-expat. I'll ping @astro about it.

@c4milo
Collaborator
c4milo commented Nov 17, 2011

astro/node-expat#21 address this issue. I'll be waiting for a new node-expat release to update dependencies.

@astro
astro commented Nov 17, 2011

node-expat 1.4.1 is up on npm. Thanks to @mweibel for fixing this.

@c4milo
Collaborator
c4milo commented Nov 18, 2011

cool, thanks a lot @astro and @mweibel

@c4milo c4milo closed this in 93eed5d Nov 18, 2011
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment